Bug 222016 - x11/altyo: unbreak build with vala 0.36
Summary: x11/altyo: unbreak build with vala 0.36
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Nicola Vitale
URL:
Keywords:
Depends on:
Blocks: 221941
  Show dependency treegraph
 
Reported: 2017-09-03 08:08 UTC by Carlos J. Puga Medina
Modified: 2017-09-15 09:40 UTC (History)
2 users (show)

See Also:
nivit: maintainer-feedback+


Attachments
patch (4.61 KB, patch)
2017-09-03 08:08 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch (4.81 KB, patch)
2017-09-05 12:11 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch (4.71 KB, patch)
2017-09-14 22:08 UTC, Carlos J. Puga Medina
cpm: maintainer-approval? (nivit)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2017-09-03 08:08:07 UTC
Created attachment 186018 [details]
patch

gmake[1]: Entering directory '/wrkdirs/usr/ports/x11/altyo/work/AltYo-debian-0.4_rc19-linvinus1'
glib-compile-resources --sourcedir=./data --generate-source ./data/altyo.gresource.xml
#test -e ./altyo && rm ./altyo
valac -o altyo  -v --disable-warnings -X -DGETTEXT_PACKAGE=\"altyo\" -X -DAY_GIT_HASH=\"\" -X -DAY_CHANGELOG_TAG=\"\" --vapidir ./vapi --pkg gtk+-3.0 --pkg gdk-x11-3.0 --pkg cairo --pkg posix --pkg gmodule-2.0 -D VTE_2_91 --pkg vte-2.91 vapi/config.vapi vapi/xkb.vapi main.vala hvbox.vala altyo_terminal.vala altyo_window.vala altyo_hotkey.vala altyo_config.vala altyo_settings.vala data/altyo.c
altyo_window.vala:2892.99-2892.119: error: Argument 1: Cannot convert from `uint' to `int'
        string s = ( tab.tbutton.tab_title != null ? tab.tbutton.tab_title : _("index %d").printf(tab.tbutton.tab_index) );
                                                                                                  ^^^^^^^^^^^^^^^^^^^^^
altyo_settings.vala:1609.107-1609.110: error: Argument 1: Cannot convert from `uint' to `int'
                string msg=_("New style will not be saved!\nin line %d  at position %d\nerror:%s").printf(line,pos,S);
                                                                                                          ^^^^
altyo_settings.vala:704.24-704.27: error: Argument 1: Cannot pass value to reference or output parameter
          store.remove(iter);
                       ^^^^
altyo_settings.vala:738.24-738.27: error: Argument 1: Cannot pass value to reference or output parameter
          store.remove(iter);
                       ^^^^
altyo_settings.vala:772.24-772.27: error: Argument 1: Cannot pass value to reference or output parameter
          store.remove(iter);
                       ^^^^
altyo_settings.vala:959.59-959.62: error: Argument 1: Cannot convert from `uint' to `int'
      msg=_("in line %d  at position %d error:%s").printf(line,pos,S);
                                                          ^^^^
Loaded package `/usr/local/share/vala-0.36/vapi/glib-2.0.vapi'
Loaded package `/usr/local/share/vala-0.36/vapi/gobject-2.0.vapi'
Loaded package `/usr/local/share/vala-0.36/vapi/gtk+-3.0.vapi'
Loaded package `/usr/local/share/vala-0.36/vapi/gio-2.0.vapi'
Loaded package `/usr/local/share/vala-0.36/vapi/atk.vapi'
Loaded package `/usr/local/share/vala-0.36/vapi/cairo.vapi'
Loaded package `/usr/local/share/vala-0.36/vapi/gdk-pixbuf-2.0.vapi'
Loaded package `/usr/local/share/vala-0.36/vapi/gdk-3.0.vapi'
Loaded package `/usr/local/share/vala-0.36/vapi/pango.vapi'
Loaded package `/usr/local/share/vala-0.36/vapi/pangocairo.vapi'
Loaded package `/usr/local/share/vala-0.36/vapi/x11.vapi'
Loaded package `/usr/local/share/vala-0.36/vapi/gdk-x11-3.0.vapi'
Loaded package `/usr/local/share/vala-0.36/vapi/posix.vapi'
Loaded package `/usr/local/share/vala-0.36/vapi/gmodule-2.0.vapi'
Loaded package `/usr/local/share/vala/vapi/vte-2.91.vapi'
Compilation failed: 6 error(s), 0 warning(s)
gmake[1]: *** [Makefile:61: default] Error 1
gmake[1]: Leaving directory '/wrkdirs/usr/ports/x11/altyo/work/AltYo-debian-0.4_rc19-linvinus1'
*** Error code 1

build log: http://package23.nyi.freebsd.org/data/110i386-default-PR221941/2017-08-31_07h56m24s/logs/altyo-0.4.r19_1.log
Comment 1 Carlos J. Puga Medina freebsd_committer 2017-09-05 12:11:37 UTC
Created attachment 186077 [details]
patch

Update patch to make it compatible with current vala 0.30 version.
Comment 2 Carlos J. Puga Medina freebsd_committer 2017-09-14 22:08:46 UTC
Created attachment 186394 [details]
patch

Improve the patch compatibility.
Comment 3 Nicola Vitale freebsd_committer 2017-09-15 08:41:06 UTC
Approved, thanks.
Comment 4 commit-hook freebsd_committer 2017-09-15 09:39:43 UTC
A commit references this bug:

Author: cpm
Date: Fri Sep 15 09:38:58 UTC 2017
New revision: 449896
URL: https://svnweb.freebsd.org/changeset/ports/449896

Log:
  x11/altyo: unbreak build with vala 0.36

  gmake[1]: Entering directory '/wrkdirs/usr/ports/x11/altyo/work/AltYo-debian-0.4_rc19-linvinus1'
  glib-compile-resources --sourcedir=./data --generate-source ./data/altyo.gresource.xml
  #test -e ./altyo && rm ./altyo
  valac -o altyo  -v --disable-warnings -X -DGETTEXT_PACKAGE=\"altyo\" -X -DAY_GIT_HASH=\"\" -X -DAY_CHANGELOG_TAG=\"\" --vapidir ./vapi --pkg gtk+-3.0 --pkg gdk-x11-3.0 --pkg cairo --pkg posix --pkg gmodule-2.0 -D VTE_2_91 --pkg vte-2.91 vapi/config.vapi vapi/xkb.vapi main.vala hvbox.vala altyo_terminal.vala altyo_window.vala altyo_hotkey.vala altyo_config.vala altyo_settings.vala data/altyo.c
  altyo_window.vala:2892.99-2892.119: error: Argument 1: Cannot convert from `uint' to `int'
          string s = ( tab.tbutton.tab_title != null ? tab.tbutton.tab_title : _("index %d").printf(tab.tbutton.tab_index) );
                                                                                                    ^^^^^^^^^^^^^^^^^^^^^
  altyo_settings.vala:1609.107-1609.110: error: Argument 1: Cannot convert from `uint' to `int'
                  string msg=_("New style will not be saved!\nin line %d  at position %d\nerror:%s").printf(line,pos,S);
                                                                                                            ^^^^
  altyo_settings.vala:704.24-704.27: error: Argument 1: Cannot pass value to reference or output parameter
            store.remove(iter);
                         ^^^^
  altyo_settings.vala:738.24-738.27: error: Argument 1: Cannot pass value to reference or output parameter
            store.remove(iter);
                         ^^^^
  altyo_settings.vala:772.24-772.27: error: Argument 1: Cannot pass value to reference or output parameter
            store.remove(iter);
                         ^^^^
  altyo_settings.vala:959.59-959.62: error: Argument 1: Cannot convert from `uint' to `int'
        msg=_("in line %d  at position %d error:%s").printf(line,pos,S);
                                                            ^^^^

  While I'm here, pet portlint, DISTVERSIONSUFFIX appears out-of-order.

  PR:		222016
  Submitted by:	cpm
  Approved by:	nivit (maintainer)

Changes:
  head/x11/altyo/Makefile
  head/x11/altyo/files/patch-altyo__settings.vala
  head/x11/altyo/files/patch-altyo__window.vala
Comment 5 Carlos J. Puga Medina freebsd_committer 2017-09-15 09:40:51 UTC
Committed!

Thanks